org.eclipse.ease.ui.scripts.repository

## Interface IRepositoryPackage.Literals

Enclosing interface:
  IRepositoryPackage

    public static interface IRepositoryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EDataType` `INPUT_STREAM` The meta object literal for the 'Input Stream' data type.
`static org.eclipse.emf.ecore.EClass` `KEYWORD_MAP` The meta object literal for the '`Keyword Map`' class.
`static org.eclipse.emf.ecore.EAttribute` `KEYWORD_MAP__KEY` The meta object literal for the 'Key' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `KEYWORD_MAP__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EDataType` `PATH` The meta object literal for the 'Path' data type.
`static org.eclipse.emf.ecore.EClass` `RAW_LOCATION` The meta object literal for the '`Raw Location`' class.
`static org.eclipse.emf.ecore.EOperation` `RAW_LOCATION___GET_INPUT_STREAM` The meta object literal for the 'Get Input Stream' operation.
`static org.eclipse.emf.ecore.EOperation` `RAW_LOCATION___GET_RESOURCE` The meta object literal for the 'Get Resource' operation.
`static org.eclipse.emf.ecore.EAttribute` `RAW_LOCATION__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `RAW_LOCATION__UPDATE_PENDING` The meta object literal for the 'Update Pending' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SCRIPT` The meta object literal for the ' `Script`' class.
`static org.eclipse.emf.ecore.EOperation` `SCRIPT___GET_NAME` The meta object literal for the 'Get Name' operation.
`static org.eclipse.emf.ecore.EOperation` `SCRIPT___GET_PATH` The meta object literal for the 'Get Path' operation.
`static org.eclipse.emf.ecore.EOperation` `SCRIPT___RUN` The meta object literal for the 'Run' operation.
`static org.eclipse.emf.ecore.EReference` `SCRIPT__ENTRY` The meta object literal for the 'Entry' container reference feature.
`static org.eclipse.emf.ecore.EReference` `SCRIPT__SCRIPT_KEYWORDS` The meta object literal for the 'Script Keywords' map feature.
`static org.eclipse.emf.ecore.EAttribute` `SCRIPT__TIMESTAMP` The meta object literal for the 'Timestamp' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SCRIPT__USER_KEYWORDS` The meta object literal for the 'User Keywords' map feature.
`static org.eclipse.emf.ecore.EClass` `SCRIPT_LOCATION` The meta object literal for the '`Script Location`' class.
`static org.eclipse.emf.ecore.EAttribute` `SCRIPT_LOCATION__DEFAULT` The meta object literal for the 'Default' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SCRIPT_LOCATION__RECURSIVE` The meta object literal for the 'Recursive' attribute feature.
`static org.eclipse.emf.ecore.EReference` `SCRIPT_LOCATION__SCRIPTS` The meta object literal for the 'Scripts' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `STORAGE` The meta object literal for the ' `Storage`' class.
`static org.eclipse.emf.ecore.EReference` `STORAGE__ENTRIES` The meta object literal for the 'Entries' containment reference list feature.

### Field Detail

#### SCRIPT

    static final org.eclipse.emf.ecore.EClass SCRIPT

The meta object literal for the ' `Script`' class.

See Also:
  `ScriptImpl`, `RepositoryPackageImpl.getScript()`

#### SCRIPT__TIMESTAMP

    static final org.eclipse.emf.ecore.EAttribute SCRIPT__TIMESTAMP

The meta object literal for the 'Timestamp' attribute feature.

#### SCRIPT__ENTRY

    static final org.eclipse.emf.ecore.EReference SCRIPT__ENTRY

The meta object literal for the 'Entry' container reference feature.

#### SCRIPT__SCRIPT_KEYWORDS

    static final org.eclipse.emf.ecore.EReference SCRIPT__SCRIPT_KEYWORDS

The meta object literal for the 'Script Keywords' map feature.

#### SCRIPT__USER_KEYWORDS

    static final org.eclipse.emf.ecore.EReference SCRIPT__USER_KEYWORDS

The meta object literal for the 'User Keywords' map feature.

#### SCRIPT___RUN

    static final org.eclipse.emf.ecore.EOperation SCRIPT___RUN

The meta object literal for the 'Run' operation.

#### SCRIPT___GET_NAME

    static final org.eclipse.emf.ecore.EOperation SCRIPT___GET_NAME

The meta object literal for the 'Get Name' operation.

#### SCRIPT___GET_PATH

    static final org.eclipse.emf.ecore.EOperation SCRIPT___GET_PATH

The meta object literal for the 'Get Path' operation.

#### RAW_LOCATION

    static final org.eclipse.emf.ecore.EClass RAW_LOCATION

The meta object literal for the '`Raw Location`' class.

See Also:
  `RawLocationImpl`, `RepositoryPackageImpl.getRawLocation()`

#### RAW_LOCATION__LOCATION

    static final org.eclipse.emf.ecore.EAttribute RAW_LOCATION__LOCATION

The meta object literal for the 'Location' attribute feature.

#### RAW_LOCATION__UPDATE_PENDING

    static final org.eclipse.emf.ecore.EAttribute RAW_LOCATION__UPDATE_PENDING

The meta object literal for the 'Update Pending' attribute feature.

#### RAW_LOCATION___GET_RESOURCE

    static final org.eclipse.emf.ecore.EOperation RAW_LOCATION___GET_RESOURCE

The meta object literal for the 'Get Resource' operation.

#### RAW_LOCATION___GET_INPUT_STREAM

    static final org.eclipse.emf.ecore.EOperation RAW_LOCATION___GET_INPUT_STREAM

The meta object literal for the 'Get Input Stream' operation.

#### STORAGE

    static final org.eclipse.emf.ecore.EClass STORAGE

The meta object literal for the ' `Storage`' class.

See Also:
  `StorageImpl`, `RepositoryPackageImpl.getStorage()`

#### STORAGE__ENTRIES

    static final org.eclipse.emf.ecore.EReference STORAGE__ENTRIES

The meta object literal for the 'Entries' containment reference list feature.

#### SCRIPT_LOCATION

    static final org.eclipse.emf.ecore.EClass SCRIPT_LOCATION

The meta object literal for the '`Script Location`' class.

See Also:
  `ScriptLocationImpl`, `RepositoryPackageImpl.getScriptLocation()`

#### SCRIPT_LOCATION__RECURSIVE

    static final org.eclipse.emf.ecore.EAttribute SCRIPT_LOCATION__RECURSIVE

The meta object literal for the 'Recursive' attribute feature.

#### SCRIPT_LOCATION__DEFAULT

    static final org.eclipse.emf.ecore.EAttribute SCRIPT_LOCATION__DEFAULT

The meta object literal for the 'Default' attribute feature.

#### SCRIPT_LOCATION__SCRIPTS

    static final org.eclipse.emf.ecore.EReference SCRIPT_LOCATION__SCRIPTS

The meta object literal for the 'Scripts' containment reference list feature.

#### KEYWORD_MAP

    static final org.eclipse.emf.ecore.EClass KEYWORD_MAP

The meta object literal for the '`Keyword Map`' class.

See Also:
  `KeywordMapImpl`, `RepositoryPackageImpl.getKeywordMap()`

#### KEYWORD_MAP__KEY

    static final org.eclipse.emf.ecore.EAttribute KEYWORD_MAP__KEY

The meta object literal for the 'Key' attribute feature.

#### KEYWORD_MAP__VALUE

    static final org.eclipse.emf.ecore.EAttribute KEYWORD_MAP__VALUE

The meta object literal for the 'Value' attribute feature.

#### PATH

    static final org.eclipse.emf.ecore.EDataType PATH

The meta object literal for the 'Path' data type.

See Also:
  `IPath`, `RepositoryPackageImpl.getPath()`

#### INPUT_STREAM

    static final org.eclipse.emf.ecore.EDataType INPUT_STREAM

The meta object literal for the 'Input Stream' data type.

See Also:
  `InputStream`, `RepositoryPackageImpl.getInputStream()`